Subject: Re: bug#12696: 24.2.50; epa bug with gpg-agent

From: Daiki Ueno <[email-masked]>
Date: Thu, 25 Oct 2012 18:45:59 +0900

Richard Stallman <[email-masked]> writes:

> EPA fails when trying to use gpg-agent.  gpg-agent works when I run
> gpg from a shell specifying --use-agent.
>
> I tested this in a situation where gpg-agent already had my
> passphrase.
>
> I did  emacs -Q; C-x m; inserted `rms' in To field, `Test' as Subject,
> and `Testing' as body.  I did M-x epa-mail-encrypt, which encrypted.
> Then I did M-x epa-mail-decrypt, and it gave me the error
>
>   epg--check-error-for-decrypt: peculiar error: "Decryption failed", ""
>
> The same test, conducted without the GPG agent, successfully decrypts
> (after asking me for my passphrase).

Could you gather the debug log by setting (setq epg-debug t)?
The log will be saved in " *epg-debug*" buffer.

Also the output of "gpg --version" would be helpful.

Thanks,
-- 
Daiki Ueno